de.dhbwstuttgart.syntaxtree

## Class GTVDeclarationContext

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.GTVDeclarationContext

All Implemented Interfaces:
  IItemWithOffset

Direct Known Subclasses:
  Class, Field

    public abstract class GTVDeclarationContext
    extends SyntaxTreeNode

Beischreibt eine SyntaxTreeNode, welcher die Eigenschaft besitzt, dass bei seiner Deklaration auch Generische Typvariablen deklariert wurden.

### Field Summary

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`GTVDeclarationContext()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`GTVDeclarationContext` `getGTVDeclarationContext()`
`abstract boolean` `isClass()`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getChildren, getDescription, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.dhbwstuttgart.core.IItemWithOffset

`getOffset, getVariableLength`

### Constructor Detail

#### GTVDeclarationContext

    public GTVDeclarationContext()

### Method Detail

#### getGTVDeclarationContext

    public GTVDeclarationContext getGTVDeclarationContext()

Overrides:
  `getGTVDeclarationContext` in class `SyntaxTreeNode`

#### isClass

    public abstract boolean isClass()